com.microfocus.awm.meta.interfaces

## Enum EEditorSelectionType

- java.lang.Object
- - java.lang.Enum<EEditorSelectionType>
  - - com.microfocus.awm.meta.interfaces.EEditorSelectionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EEditorSelectionType>, org.eclipse.emf.common.util.Enumerator

      public enum EEditorSelectionType
      extends java.lang.Enum<EEditorSelectionType>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the selection type in the context of selection property mapping: SelectedText, SelectedWord, SelectedLine, SelectedKeyword
  See Also:
    `TaurusPackage.getEEditorSelectionType()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SELECTED_KEYWORD` The 'Selected Keyword' literal object.
    `SELECTED_LINE` The 'Selected Line' literal object.
    `SELECTED_LINE_NUMBERS` The 'Selected Line Numbers' literal object.
    `SELECTED_TEXT` The 'Selected Text' literal object.
    `SELECTED_WORD` The 'Selected Word' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SELECTED_KEYWORD_VALUE` The 'Selected Keyword' literal value.
    `static int` | `SELECTED_LINE_NUMBERS_VALUE` The 'Selected Line Numbers' literal value.
    `static int` | `SELECTED_LINE_VALUE` The 'Selected Line' literal value.
    `static int` | `SELECTED_TEXT_VALUE` The 'Selected Text' literal value.
    `static int` | `SELECTED_WORD_VALUE` The 'Selected Word' literal value.
    `static java.util.List<EEditorSelectionType>` | `VALUES` A public read-only list of all the 'EEditor Selection Type' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EEditorSelectionType` | `get(int value)` Returns the 'EEditor Selection Type' literal with the specified integer value.
    `static EEditorSelectionType` | `get(java.lang.String literal)` Returns the 'EEditor Selection Type' literal with the specified literal value.
    `static EEditorSelectionType` | `getByName(java.lang.String name)` Returns the 'EEditor Selection Type' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EEditorSelectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EEditorSelectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECTED_TEXT

          public static final EEditorSelectionType SELECTED_TEXT

      The 'Selected Text' literal object.
      See Also:
        `SELECTED_TEXT_VALUE`

    - #### SELECTED_WORD

          public static final EEditorSelectionType SELECTED_WORD

      The 'Selected Word' literal object.
      See Also:
        `SELECTED_WORD_VALUE`

    - #### SELECTED_LINE

          public static final EEditorSelectionType SELECTED_LINE

      The 'Selected Line' literal object.
      See Also:
        `SELECTED_LINE_VALUE`

    - #### SELECTED_KEYWORD

          public static final EEditorSelectionType SELECTED_KEYWORD

      The 'Selected Keyword' literal object.
      See Also:
        `SELECTED_KEYWORD_VALUE`

    - #### SELECTED_LINE_NUMBERS

          public static final EEditorSelectionType SELECTED_LINE_NUMBERS

      The 'Selected Line Numbers' literal object.
      See Also:
        `SELECTED_LINE_NUMBERS_VALUE`

  - ### Field Detail

    - #### SELECTED_TEXT_VALUE

          public static final int SELECTED_TEXT_VALUE

      The 'Selected Text' literal value.
      See Also:
        `SELECTED_TEXT`, Constant Field Values

    - #### SELECTED_WORD_VALUE

          public static final int SELECTED_WORD_VALUE

      The 'Selected Word' literal value.
      See Also:
        `SELECTED_WORD`, Constant Field Values

    - #### SELECTED_LINE_VALUE

          public static final int SELECTED_LINE_VALUE

      The 'Selected Line' literal value.
      See Also:
        `SELECTED_LINE`, Constant Field Values

    - #### SELECTED_KEYWORD_VALUE

          public static final int SELECTED_KEYWORD_VALUE

      The 'Selected Keyword' literal value.
      See Also:
        `SELECTED_KEYWORD`, Constant Field Values

    - #### SELECTED_LINE_NUMBERS_VALUE

          public static final int SELECTED_LINE_NUMBERS_VALUE

      The 'Selected Line Numbers' literal value.

      If the meaning of 'Selected Line Numbers' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SELECTED_LINE_NUMBERS`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EEditorSelectionType> VALUES

      A public read-only list of all the 'EEditor Selection Type' enumerators.

  - ### Method Detail

    - #### values

          public static EEditorSelectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EEditorSelectionType c : EEditorSelectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EEditorSelectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EEditorSelectionType get(java.lang.String literal)

      Returns the 'EEditor Selection Type' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EEditorSelectionType getByName(java.lang.String name)

      Returns the 'EEditor Selection Type' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EEditorSelectionType get(int value)

      Returns the 'EEditor Selection Type' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EEditorSelectionType>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.